Loading...
Searching...
No Matches
dolfin::NonlinearVariationalSolver Class Reference

`#include <NonlinearVariationalSolver.h>`

Inheritance diagram for dolfin::NonlinearVariationalSolver:
[legend]
Collaboration diagram for dolfin::NonlinearVariationalSolver:
[legend]

## Public Member Functions

| NonlinearVariationalSolver (std::shared_ptr< NonlinearVariationalProblem > problem)
| Create nonlinear variational solver for given problem.
std::pair< std::size_t, bool > | solve ()
Public Member Functions inherited from dolfin::Variable
| Variable ()
| Create unnamed variable.
| Variable (const std::string name, const std::string label)
| Create variable with given name and label.
| Variable (const Variable &variable)
| Copy constructor.
virtual | ~Variable ()
| Destructor.
const Variable & | operator= (const Variable &variable)
| Assignment operator.
void | rename (const std::string name, const std::string label)
| Rename variable.
std::string | name () const
| Return name.
std::string | label () const
| Return label (description).
std::size_t | id () const
virtual std::string | str (bool verbose) const
| Return informal string representation (pretty-print).

## Static Public Member Functions

static Parameters | default_parameters ()
| Default parameter values.

## Additional Inherited Members

Public Attributes inherited from dolfin::Variable
Parameters | parameters
| Parameters.

## Detailed Description

This class implements a solver for nonlinear variational problems.

## Member Function Documentation

## solve()

std::pair< std::size_t, bool > NonlinearVariationalSolver::solve | ( |  | ) |

Solve variational problem

Returns std::pair<std::size_t, bool> Pair of number of Newton iterations, and whether iteration converged)

The documentation for this class was generated from the following files:

- /build/dolfin-lFBzDh/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/fem/NonlinearVariationalSolver.h
- /build/dolfin-lFBzDh/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/fem/NonlinearVariationalSolver.cpp